List schedules
Returns all schedules with cursor-based pagination.
x-api-key<token>
In: header
Query Parameters
limit?integer
Range
0 < value <= 2000Default
20cursor?string
connector?string
status?array<>
Header Parameters
X-Trade-Account-Id*string
UUID of the trade account the request acts on. Must belong to the authenticated user.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/schedules" \ -H "X-Trade-Account-Id: 3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "limit": 0, "nextCursor": "string", "schedules": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connector": "hyperliquid", "strategy": "TWAP", "status": "ACTIVE", "intent": "OPEN", "positionKey": "string", "executionType": "MARKET", "lastSliceAt": "string", "startAt": "string", "endAt": "string", "cancelledAt": "string", "cancelledReason": "POSITION_CLOSED", "createdAt": "string", "updatedAt": "string", "fills": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "cloid": "string", "exchangeFillId": "string", "status": "PROVISIONAL", "tradeAccountId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "symbol": "BTC", "positionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "connector": "hyperliquid", "side": "BUY", "reduceOnly": true, "isExternal": true, "synthetic": true, "quantity": "string", "price": "string", "usd": "string", "tradeFee": "string", "pearFee": "string", "timestamp": "string", "original": { "exchangeFillId": "string", "quantity": "string" } } ], "sliceIntervalSec": 0, "sliceCount": 1, "randomization": { "timingJitterBps": 0, "sizeJitterBps": 0 }, "legs": [ { "symbol": "BTC", "side": "BUY", "weight": 1 } ], "targetNotional": "1250.75", "remainingNotional": "1250.75" } ]}